Subject: Re: [RFC PATCH] rtnetlink: Add filter for VF info dump requests

From: Stephen Hemminger <[email-masked]>
Date: Thu, 9 Feb 2012 11:11:58 -0800

On Thu, 9 Feb 2012 19:06:02 +0000
"Rose, Gregory V" <[email-masked]> wrote:

> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > On Behalf Of David Miller
> > Sent: Thursday, February 09, 2012 11:02 AM
> > To: Rose, Gregory V
> > Cc: [email-masked]
> > Subject: Re: [RFC PATCH] rtnetlink: Add filter for VF info dump requests
> > 
> > From: "Rose, Gregory V" <[email-masked]>
> > Date: Thu, 9 Feb 2012 18:57:26 +0000
> > 
> > > I'm sure the consternation on my part is that I had thought you
> > > wanted the feature bits to default to none.  You said this at one
> > > point:
> > 
> > In "the kernel", so that things like GLIBC, that don't ask for the
> > features, no longer break with lots of VFs.
> > 
> > "iproute2" in userland can set all the feature bits, and have code
> > added to accomodate large dump requests in the future, so you're going
> > to have to make changes to iproute2 for this.
> 
> OK, that's a bit more clear to me then.  And that's the only reason I mentioned that the semantics to 'ip link show' would change.  But now I see what you mean by the rubbish comment.  By default ip link show will set all the feature bits and I'll add option code to iproute2 to allow the user to turn it off.
> 
> Does that make sense?

Please don't introduce more flags, either use the existing detail flag or
just get everything.